namespace GameAtlas.Views;

using GameAtlas.Models;
using System.Diagnostics;
using System.Text.RegularExpressions;

public partial class PageConnexion : ContentPage
{

    public Manager ConnexionManager => (App.Current as App).MyManager;
    public PageConnexion()
    {
        InitializeComponent();
    }

    private async void OnSignInClicked(object sender, EventArgs e)
    {

        string username = pseudo.Text;
        string password = mdp.Text;


        if (string.IsNullOrWhiteSpace(username) || string.IsNullOrWhiteSpace(password))
        {
            await DisplayAlert("Erreur", "Entrez tous les champs", "Ok");
            return;
        }

        Verification(username, password);
        await Navigation.PushAsync(new PageAcceuil());

    }

    public bool Verification(string username, string password)
    {
        foreach (Utilisateur user in ConnexionManager.Utilisateurs)
        {
            if (user.Pseudo == username)
            {
                Debug.WriteLine($"Pseudo \"{user.Pseudo}\" vrifi et valide");
                if (user.Mdp == password)
                {
                    Debug.WriteLine("Mot de Passe verifi et valide");
                    ConnexionManager.ConnectedUser = user;
                    return true;
                }
            }
        }
        return false;
    }
}